<?php namespace EwTools\Admin\ProjectPluginPage;

use EwTools\Interfaces\PluginPageInterface;
use EwTools\Interfaces\SettingsPageInterface;
use EwTools\Support\Collection;
use EwTools\Support\Str;
use EwTools\Twig\View;

/**
 * SettingsPage
 *
 * @link    http://infomaker.se
 * @package EwTools\Admin\ProjectPluginPage
 * @since   EwTools\Admin\ProjectPluginPage\SettingsPage 0.1
 */
class SettingsPage extends TabsPage {
    
    /**
     * @var string
     */
    protected static $title = 'Settings';
    
    
    /**
     * SettingsPage constructor.
     *
     * @since 0.1
     */
    public function __construct() {
        $this->setDescription('This is the settings panel for your project.');
    }
    
    /**
     * Build page slug "admin.php/?page=[PageSlug]"
     *
     * @param $parent_slug
     *
     * @since 0.1
     * @return string
     */
    protected function getPageSlug( $parent_slug ) {
        return Str::slug( $parent_slug );
    }
    
    /**
     * Retrieve the slug to be use to identify the page
     *
     * @since 0.1
     * @return mixed
     */
    public function getSlug() {
        return Str::slug( static::$title );
    }
    
    /**
     * Retrieve the title of the page to be used in the menu
     *
     * @since 0.1
     * @return string
     */
    public function getTitle() {
        return Str::title( static::$title );
    }
}